ctools test errors on Mac (missing files)
Status: Closed Start date: 06/28/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

I'm getting two test errors on Mac with clang:

https://gist.github.com/cdeil/2b06a58b53846d364c20

Missing test file ... and then it segfaults!?

Test ctmodel: ./test_ctools.sh: line 354: 83483 Segmentation fault: 11  $ctmodel inobs="cntmap1.fits" incube="cntmap1.fits"

 outcube="modmap1.fits" expcube="NONE" psfcube="NONE" bkgcube="NONE" caldb="irf" irf="cta_dummy_irf"

 inmodel="data/crab.xml"

. modmap1.fits file is not found

Another missing file?

RuntimeError: *** ERROR in GApplicationPars::load(std::string&): Parameter file "ctobssim.par" not found. Make sure that PFILES

 environment variable is set correctly.

. pull.dat file is not valid

History

#1 - 06/29/2015 11:19 PM - Knödlseder Jürgen

For some reason ctmodel segfaults, the result of this is a missing file.

So the problem is to understand why ctmodel segfaults.

#2 - 06/30/2015 12:06 AM - Deil Christoph

- Status changed from New to Resolved

I can't reproduce this issue today!?

Closing.

#3 - 06/30/2015 12:15 PM - Knödlseder Jürgen

- Status changed from Resolved to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 80

I just corrected the cscripts test script, now in devel. Michael or Christoph, can you see if the problem is now fixed?

#4 - 06/30/2015 12:45 PM - Deil Christoph
https://gist.github.com/cdeil/2b06a58b53846d364c20


Works for me. Close?

#5 - 06/30/2015 02:45 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
